<template>
  <div class="container">
    <div class="row">
      <div class="col-sm-12 mt-4">
        <h2 class="c-title">Mon panier</h2>
        <p>Voici votre panier. Vérifiez votre liste puis passez commande !
        </p>
      </div>
    </div>
    <div class="row" v-if="cart.length > 0">
      <div class="col-sm-12">
        <div class="table-responsive">
          <table class="table c-table">
            <thead class="c-table-header">
              <tr>
                <th>Produit</th>
                <th>Aperçu</th>
                <th>Description</th>
                <th>Quantité</th>
                <th>Prix</th>
                <th></th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="item in cart" :key="item.id">
                <td class="align-middle">{{ item.name }}</td>
                <td class="align-middle">
                  <div class="c-table-photo align-self-center text-center">
                    <img :src="item.photo" class="card-img-top" width="125" height="125" alt="...">
                  </div>
                <td class="align-middle">{{ item.desc }}</td>
                <td class="align-middle">{{ item.quantity }} {{ item.unit }}</td>
                <td class="align-middle">{{ item.totalProductPrice }}€</td>
                <td class="align-middle"><button type="button" @click="revoveProduct(item)" class="btn c-button-delete">
                    <i class="fa fa-trash-o" aria-hidden="true"></i> Supprimer</button>
                </td>
              </tr>
              <tr class="c-table-total-line">
                <td colspan="4" class="align-middle text-right">Total de la commande :</td>
                <td class="c-table-total align-middle"><strong>{{ total }} €</strong></td>
                <td class="align-middle"><button type="button" @click="goToOrder()"
                    class="btn c-button-clear"><strong>Passer commande</strong></button></td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="row" v-else>
      <div class="col-sm-12">
        <img src="./../../../../src/assets/cart-empty.jpg" class="img-fluid" alt="Responsive image">
        <h3>Panier vide !</h3>
      </div>
    </div>
  </div>
</template>

<script src="./Panier.js"></script>
<style lang="scss" scoped src="./Panier.scoped.scss"></style>
<style lang="scss" src="./Panier.scss"></style>
